Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-imply-stop-on-fence.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.exp
@@ -459,43 +446,56 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="31">
+  <synapse id="30">
     <action_set>
-      <pseudo_event id="9" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="10" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="fence-kiff-02_stop_0"/>
+        <pseudo_event id="13" operation="stop" operation_key="fence-kiff-02_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="15" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0"/>
+        <pseudo_event id="16" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="22" operation="stop" operation_key="clvmd_stop_0" internal_operation_key="clvmd:0_stop_0"/>
+        <pseudo_event id="23" operation="stop" operation_key="clvmd_stop_0" internal_operation_key="clvmd:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="shared0_stop_0" internal_operation_key="shared0:0_stop_0"/>
+        <pseudo_event id="30" operation="stop" operation_key="shared0_stop_0" internal_operation_key="shared0:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="36" operation="stop" operation_key="R-lxc-01_kiff-01_stop_0"/>
+        <pseudo_event id="37" operation="stop" operation_key="R-lxc-01_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="39" operation="stop" operation_key="R-lxc-02_kiff-01_stop_0"/>
+        <pseudo_event id="40" operation="stop" operation_key="R-lxc-02_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="46" operation="stop" operation_key="vm-fs_stop_0"/>
+        <pseudo_event id="47" operation="stop" operation_key="vm-fs_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="49" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
+        <pseudo_event id="50" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="52" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
+        <pseudo_event id="53" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="59" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="60" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="31">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1">
+        <attributes CRM_meta_on_node="kiff-01" CRM_meta_on_node_uuid="1" CRM_meta_probe_complete="true" CRM_meta_shutdown="0" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="1"/>
+          <node id="lxc-01_kiff-01"/>
+          <node id="lxc-02_kiff-01"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
